commit:     3697931f9684d5fcafc6253b2450f55c13024daf
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 16 16:51:58 2014 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Mar 16 16:51:58 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/emacs.git;a=commit;h=3697931f

Install emacs man page under the same name as the binary.

Package-Manager: portage-2.2.8-r1

---
 app-editors/emacs/ChangeLog             |  5 +++++
 app-editors/emacs/emacs-18.59-r9.ebuild |  2 +-
 app-editors/emacs/emacs-21.4-r24.ebuild |  2 ++
 app-editors/emacs/emacs-22.3-r10.ebuild |  2 ++
 app-editors/emacs/emacs-23.4-r6.ebuild  | 10 ++++++++--
 app-editors/emacs/emacs-24.3-r2.ebuild  |  5 +++++
 6 files changed, 23 insertions(+), 3 deletions(-)

diff --git a/app-editors/emacs/ChangeLog b/app-editors/emacs/ChangeLog
index 67d3727..91ccb49 100644
--- a/app-editors/emacs/ChangeLog
+++ b/app-editors/emacs/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  16 Mar 2014; Ulrich Müller <[email protected]> emacs-18.59-r9.ebuild,
+  emacs-21.4-r24.ebuild, emacs-22.3-r10.ebuild, emacs-23.4-r6.ebuild,
+  emacs-24.3-r2.ebuild:
+  Install emacs man page under the same name as the binary.
+
   16 Mar 2014; Ulrich Müller <[email protected]> emacs-18.59-r9.ebuild:
   Remove old compatibility code.
 

diff --git a/app-editors/emacs/emacs-18.59-r9.ebuild 
b/app-editors/emacs/emacs-18.59-r9.ebuild
index 6e89c68..7befe84 100644
--- a/app-editors/emacs/emacs-18.59-r9.ebuild
+++ b/app-editors/emacs/emacs-18.59-r9.ebuild
@@ -119,7 +119,7 @@ src_install() {
        done
 
        # move man page
-       mv "${D}"/usr/share/man/man1/emacs{,-emacs-${SLOT}}.1 || die
+       mv "${D}"/usr/share/man/man1/emacs{,-${SLOT}}.1 || die
 
        # move Info files
        dodir /usr/share/info

diff --git a/app-editors/emacs/emacs-21.4-r24.ebuild 
b/app-editors/emacs/emacs-21.4-r24.ebuild
index f945eac..ed4459b 100644
--- a/app-editors/emacs/emacs-21.4-r24.ebuild
+++ b/app-editors/emacs/emacs-21.4-r24.ebuild
@@ -130,6 +130,8 @@ src_install() {
        for m in "${D}"/usr/share/man/man1/* ; do
                mv "${m}" "${m%.1}-emacs-${SLOT}.1" || die "mv ${m} failed"
        done
+       mv "${D}"/usr/share/man/man1/emacs{-emacs,}-${SLOT}.1 \
+               || die "moving emacs man page failed"
 
        # move info dir to avoid collisions with the dir file generated by 
portage
        mv "${D}"/usr/share/info/emacs-${SLOT}/dir{,.orig} \

diff --git a/app-editors/emacs/emacs-22.3-r10.ebuild 
b/app-editors/emacs/emacs-22.3-r10.ebuild
index 8b02daf..87fcaba 100644
--- a/app-editors/emacs/emacs-22.3-r10.ebuild
+++ b/app-editors/emacs/emacs-22.3-r10.ebuild
@@ -159,6 +159,8 @@ src_install () {
        for m in "${D}"/usr/share/man/man1/* ; do
                mv "${m}" "${m%.1}-${EMACS_SUFFIX}.1" || die "mv man failed"
        done
+       mv "${D}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
+               || die "moving emacs man page failed"
 
        # move info dir to avoid collisions with the dir file generated by 
portage
        mv "${D}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \

diff --git a/app-editors/emacs/emacs-23.4-r6.ebuild 
b/app-editors/emacs/emacs-23.4-r6.ebuild
index de19b4a..2ea9b5f 100644
--- a/app-editors/emacs/emacs-23.4-r6.ebuild
+++ b/app-editors/emacs/emacs-23.4-r6.ebuild
@@ -221,8 +221,11 @@ src_install () {
 
        # move man pages to the correct place
        local m
-       for m in "${ED}"/usr/share/man/man1/* ; do
-               mv "${m}" "${m%.1}-${EMACS_SUFFIX}.1" || die "mv man failed"
+       mv "${ED}"/usr/share/man/man1/{emacs,${EMACS_SUFFIX}}.1 \
+               || die "moving emacs man page failed"
+       for m in b2m ctags ebrowse emacsclient etags grep-changelog 
rcs-checkin; do
+               mv "${ED}"/usr/share/man/man1/${m}{,-${EMACS_SUFFIX}}.1 \
+                       || die "moving ${m} man page failed"
        done
 
        # move info dir to avoid collisions with the dir file generated by 
portage
@@ -327,6 +330,9 @@ pkg_postinst() {
                # force an update of the emacs symlink for the livecd/dvd,
                # because some microemacs packages set it with USE=livecd
                eselect emacs update
+       elif [[ $(readlink "${EROOT}"/usr/bin/emacs) = ${EMACS_SUFFIX} ]]; then
+               # refresh symlinks in case any installed files have changed
+               eselect emacs set ${EMACS_SUFFIX}
        else
                eselect emacs update ifunset
        fi

diff --git a/app-editors/emacs/emacs-24.3-r2.ebuild 
b/app-editors/emacs/emacs-24.3-r2.ebuild
index ec22864..9990036 100644
--- a/app-editors/emacs/emacs-24.3-r2.ebuild
+++ b/app-editors/emacs/emacs-24.3-r2.ebuild
@@ -226,6 +226,8 @@ src_install () {
 
        mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
                || die "moving emacs executable failed"
+       mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
+               || die "moving emacs man page failed"
 
        # move info dir to avoid collisions with the dir file generated by 
portage
        mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
@@ -330,6 +332,9 @@ pkg_postinst() {
                # force an update of the emacs symlink for the livecd/dvd,
                # because some microemacs packages set it with USE=livecd
                eselect emacs update
+       elif [[ $(readlink "${EROOT}"/usr/bin/emacs) = ${EMACS_SUFFIX} ]]; then
+               # refresh symlinks in case any installed files have changed
+               eselect emacs set ${EMACS_SUFFIX}
        else
                eselect emacs update ifunset
        fi

Reply via email to